aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-11 09:16:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-11 09:16:19 +0000
commitddac259ac2d572c093e40c1d20a3e028a64a7639 (patch)
tree8f9bd497734767831a74f25c99bb6e6cd5e465c2
parent9d6a914564bea24b1b19a31274c0f5053e8aba45 (diff)
downloadaports-ddac259ac2d572c093e40c1d20a3e028a64a7639.tar.gz
aports-ddac259ac2d572c093e40c1d20a3e028a64a7639.tar.bz2
aports-ddac259ac2d572c093e40c1d20a3e028a64a7639.tar.xz
testing/kamailio: fix userid and de-bashify
-rw-r--r--testing/kamailio/APKBUILD13
-rw-r--r--testing/kamailio/kamailio.initd4
2 files changed, 13 insertions, 4 deletions
diff --git a/testing/kamailio/APKBUILD b/testing/kamailio/APKBUILD
index f40d89fac3..a5d6bfe482 100644
--- a/testing/kamailio/APKBUILD
+++ b/testing/kamailio/APKBUILD
@@ -1,9 +1,12 @@
# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=kamailio
pkgver=1.5.2
-pkgrel=2
+pkgrel=3
pkgdesc="Open Source SIP Server"
url="http://www.kamailio.org/"
+pkgusers="kamailio"
+pkggroups="kamailio"
license="GPL"
depends=
makedepends="bison flex expat-dev postgresql-dev mysql-dev pcre-dev
@@ -25,9 +28,13 @@ build() {
cd scripts
sed -i -e 's:/var/run/kamailio.pid:/var/run/kamailio/kamailio.pid:g' \
kamctl.base kamctlrc || return 1
+ # we actually dont need bash
+ sed -i -e '1s:/bin/bash:/bin/sh:' kamctl kamdbctl \
+ || return 1
cd ..
make prefix=/usr \
+ cfg-dir=/etc/kamailio \
MODS_MYSQL=yes \
MODS_PCRE=yes \
MODS_PRESENCE=yes \
@@ -36,6 +43,7 @@ build() {
include_modules=db_postgres \
all || return 1
make prefix=/usr \
+ cfg-dir=/etc/kamailio \
MODS_MYSQL=yes \
MODS_PCRE=yes \
MODS_PRESENCE=yes \
@@ -45,6 +53,7 @@ build() {
basedir="$pkgdir" install || return 1
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -d -o kamailio "$pkgdir"/var/run/kamailio
}
_mv_mod() {
@@ -87,6 +96,6 @@ presence() {
}
md5sums="6c6f4ed6fbcb4d008b8ac3de5b99ce99 kamailio-1.5.2-notls_src.tar.gz
-e6b93397ec2a1ec094d23d93d87771bd kamailio.initd
+84f3c403b65a8fca9df4b71f51224e21 kamailio.initd
c646af2dd31f5c4289a2f802c873d98f kamailio.pre-install
3fbaf633ff1620d0d526fc4047c7bed9 kamailio.post-install"
diff --git a/testing/kamailio/kamailio.initd b/testing/kamailio/kamailio.initd
index aaea95b3ee..afe9cb0824 100644
--- a/testing/kamailio/kamailio.initd
+++ b/testing/kamailio/kamailio.initd
@@ -11,8 +11,8 @@ start() {
ebegin "Starting Kamailio"
start-stop-daemon --start --quiet --pidfile $pidfile --exec $daemon \
-- \
- -u ${KAMAILIO_USER:-opensips} \
- -g ${KAMAILIO_GROUP:-opensips} \
+ -u ${KAMAILIO_USER:-kamailio} \
+ -g ${KAMAILIO_GROUP:-kamailio} \
-P $pidfile
eend $?
}